### Enumeration

# FwupdPlugin SmbiosStructureType

#### Declaration

    enum FwupdPlugin.SmbiosStructureType

#### Description

No description available.

#### Members

`FU_SMBIOS_STRUCTURE_TYPE_BIOS`

  No description available.

  - Value: `0`
  - Available since: 1.0
`FU_SMBIOS_STRUCTURE_TYPE_SYSTEM`

  No description available.

  - Value: `1`
  - Available since: 1.0
`FU_SMBIOS_STRUCTURE_TYPE_BASEBOARD`

  Aka motherboard.

  - Value: `2`
  - Available since: 1.0
`FU_SMBIOS_STRUCTURE_TYPE_CHASSIS`

  No description available.

  - Value: `3`
  - Available since: 1.0